{
  "description": "Condition contains details for one aspect of the current state of this API Resource.",
  "properties": {
    "lastTransitionTime": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Time",
      "description": "lastTransitionTime is the last time the condition transitioned from one status to another. This should be when the underlying condition changed.  If that is not known, then using the time when the API field changed is acceptable."
    },
    "message": {
      "description": "message is a human readable message indicating details about the transition. This may be an empty string.",
      "type": [
        "string",
        "null"
      ]
    },
    "observedGeneration": {
      "description": "observedGeneration represents the .metadata.generation that the condition was set based upon. For instance, if .metadata.generation is currently 12, but the .status.conditions[x].observedGeneration is 9, the condition is out of date with respect to the current state of the instance.",
      "format": "int64",
      "type": [
        "integer",
        "null"
      ]
    },
    "reason": {
      "description": "reason contains a programmatic identifier indicating the reason for the condition's last transition. Producers of specific condition types may define expected values and meanings for this field, and whether the values are considered a guaranteed API. The value should be a CamelCase string. This field may not be empty.",
      "type": [
        "string",
        "null"
      ]
    },
    "status": {
      "description": "status of the condition, one of True, False, Unknown.",
      "type": [
        "string",
        "null"
      ]
    },
    "type": {
      "description": "type of condition in CamelCase or in foo.example.com/CamelCase.",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "type",
    "status",
    "lastTransitionTime",
    "reason",
    "message"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/condition/meta/v1"
}